com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ScopeAttribute

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ScopeNode, ValidatableObject

      public interface ScopeAttribute
      extends ScopeNode

  A representation of the model object 'Scope Attribute'.

  The following features are supported:

  - `EAttribute`
  - `Referenced Attribute`
  See Also:
    `DecisiontablePackage.getScopeAttribute()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getEAttribute()` Returns the value of the 'EAttribute' reference
    `ReferencedAttribute` | `getReferencedAttribute()` Returns the value of the 'Referenced Attribute' reference
    `void` | `setEAttribute(org.eclipse.emf.ecore.EAttribute value)` Sets the value of the '`EAttribute`' reference
    `void` | `setReferencedAttribute(ReferencedAttribute value)` Sets the value of the '`Referenced Attribute`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.ScopeNode

      `getBackupInfo, getChildren, getName, getParent, getSubtree, isDescendent, isExpanded, setDescendent, setExpanded, setName, setParent`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEAttribute

          org.eclipse.emf.ecore.EAttribute getEAttribute()

      Returns the value of the 'EAttribute' reference.

      If the meaning of the 'EAttribute' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'EAttribute' reference.
      See Also:
        `setEAttribute(EAttribute)`, `DecisiontablePackage.getScopeAttribute_EAttribute()`

    - #### setEAttribute

          void setEAttribute(org.eclipse.emf.ecore.EAttribute value)

      Sets the value of the '`EAttribute`' reference.
      Parameters:
        `value` - the new value of the 'EAttribute' reference.
      See Also:
        `getEAttribute()`

    - #### getReferencedAttribute

          ReferencedAttribute getReferencedAttribute()

      Returns the value of the 'Referenced Attribute' reference.

      If the meaning of the 'Referenced Attribute' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referenced Attribute' reference.
      See Also:
        `setReferencedAttribute(ReferencedAttribute)`, `DecisiontablePackage.getScopeAttribute_ReferencedAttribute()`

    - #### setReferencedAttribute

          void setReferencedAttribute(ReferencedAttribute value)

      Sets the value of the '`Referenced Attribute`' reference.
      Parameters:
        `value` - the new value of the 'Referenced Attribute' reference.
      See Also:
        `getReferencedAttribute()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.